# Class TrainerVictoryPhase

#### Hierarchy (view full)

- BattlePhase
  - TrainerVictoryPhase

- Defined in src/phases.ts:3856

#####
Index

### Constructors

constructor

### Properties

scene

### Methods

end
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new TrainerVictoryPhase(scene): TrainerVictoryPhase

- #### Parameters

  - scene: default

  #### Returns TrainerVictoryPhase

  Overrides BattlePhase.constructor

  - Defined in src/phases.ts:3857

## Properties

### `Protected` scene

scene: default

Inherited from BattlePhase.scene

- Defined in src/phase.ts:4

## Methods

### end

- end(): void

- #### Returns void

  Inherited from BattlePhase.end

  - Defined in src/phase.ts:17

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from BattlePhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from BattlePhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Overrides BattlePhase.start

  - Defined in src/phases.ts:3861